package com.eactive.eai.common.logger; 

/** 
* 1. 기능 : EAI 로그 처리 시 예외처리를 위한 Exception
* 2. 처리 개요 : 
*     - EAILogger 예외처리
* 3. 주의사항 
*
* @author  : 전영석( amjang@evalleyvs.com)
* @version : v 1.0.0
* @see : TestCall
* @since   :JDK v1.4.2
*/
public class EAILogException extends Exception
{ 
    /**
     * 1. 기능 : Default 생성자 함수
     * 2. 처리 개요 : 
     *    - Default 생성자 함수
     * 3. 주의사항
     *
     **/
    public EAILogException() {
        super("EAILogException is occured.");
    }
    
    /**
     * 1. 기능 : Exception 발생 원인을 저장하는 생성자 함수
     * 2. 처리 개요 : 
     *    - Exception 발생 원인을 저장하는 생성자 함수
     * 3. 주의사항
     *
     *@param    msg Exception 발생 원인
     **/
    public EAILogException(String msg) {
        super(msg);   
    }
} 
